Debian Bug report logs - #103024
dpkg-shlibdeps mostly useless on the Hurd

version graph

Package: dpkg-dev; Maintainer for dpkg-dev is Dpkg Developers <debian-dpkg@lists.debian.org>; Source for dpkg-dev is src:dpkg.

Reported by: Robert Bihlmeyer <robbe@orcus.priv.at>

Date: Sun, 1 Jul 2001 22:03:21 UTC

Severity: normal

Tags: fixed-in-experimental, patch

Merged with 145714, 164020, 285857

Found in versions 1.9.15, 1.9.20, 1.10.25

Fixed in version dpkg/1.13.13

Done: Frank Lichtenheld <djpig@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Wichert Akkerman <wakkerma@debian.org>:
Bug#103024; Package dpkg-dev. Full text and rfc822 format available.

Acknowledgement sent to Robert Bihlmeyer <robbe@orcus.priv.at>:
New Bug report received and forwarded. Copy sent to Wichert Akkerman <wakkerma@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Robert Bihlmeyer <robbe@orcus.priv.at>
To: submit@bugs.debian.org
Subject: dpkg-shlibdeps mostly useless on the Hurd
Date: Sun, 1 Jul 2001 23:04:35 +0200 (CEST)
Package: dpkg-dev
Version: 1.9.15
Severity: important
Tags: patch

Background: Due to the /usr -> / symlink on the hurd-i386 port, ldd
will report most libraries as living in /lib, while dpkg thinks they
reside in /usr/lib. Therefore stock dpkg-shlibdeps will produce a lot
of warnings and not much else on this platforms. Builders have to use
a modified versions to generate at all usable packages.

(Though I consider that a symptom of a deeper issue -- dpkg has no
notion of "real" paths -- this needs fixing sooner than any
rearchitecting could provide it.)

Therefore, I attach a patch that cures the problem. Features:

* checks first whether /lib and /usr/lib are actually the same. If
  not, it does business as usual, i.e. won't corrupt your precious
  Linux fluids.

* If they're the same, every library path is handed to "dpkg --search"
  once verbatime, once with /usr prefixed. From its output /usr is
  again removed, so that matching can proceed correctly.

Works for me on hurd-i386 and i386 Debian.

--- dpkg-shlibdeps~	Sun Jul  1 17:43:44 2001
+++ dpkg-shlibdeps	Sun Jul  1 22:48:29 2001
@@ -182,13 +182,18 @@
     }
 }
 
+my $usr_symlink = ((stat "/lib")[0] == (stat "/usr/lib")[0] &&
+		   (stat "/lib")[1] == (stat "/usr/lib")[1]);
+
 if ($#libfiles >= 0) {
     grep(s/\[\?\*/\\$&/g, @libname);
     defined($c= open(P,"-|")) || syserr("cannot fork for dpkg --search");
     if (!$c) {
         close STDERR; # we don't need to see dpkg's errors
 	open STDERR, "> /dev/null";
-        exec("dpkg","--search","--",map {"$_"} @libfiles); syserr("cannot exec dpkg");
+        exec("dpkg","--search","--",
+	     map { $usr_symlink ? ($_, "/usr$_") : $_ } @libfiles);
+	syserr("cannot exec dpkg");
     }
     while (<P>) {
        chomp;
@@ -196,7 +201,9 @@
            &warn("diversions involved - output may be incorrect");
            print(STDERR " $_\n") || syserr("write diversion info to stderr");
        } elsif (m=^(\S+(, \S+)*): (\S+)$=) {
-           push @{$pathpackages{$+}}, split(/, /, $1);
+	   my ($pkgs, $lib) = ($1, $+);
+	   $lib =~ s|^/usr|| if $usr_symlink;
+           push @{$pathpackages{$lib}}, split(/, /, $pkgs);
        } else {
            &warn("unknown output from dpkg --search: \`$_'");
        }


-- System Information
Debian Release: testing/unstable
Kernel Version: Linux hoss 2.4.4-fcaps-hoss #1 Fri May 25 19:29:24 CEST 2001 i686 unknown

Versions of the packages dpkg-dev depends on:
ii  binutils       2.11.90.0.7-2  The GNU assembler, linker and binary utiliti
ii  cpio           2.4.2-36       GNU cpio -- a program to manage archives of 
ii  make           3.79.1-6       The GNU version of the "make" utility.
ii  patch          2.5.4-4        Apply a diff file to an original
ii  perl-modules   5.6.1-5        Core Perl modules.
ii  perl           5.6.1-5        Larry Wall's Practical Extraction and Report
	^^^ (Provides virtual package perl5)



Information forwarded to debian-bugs-dist@lists.debian.org, Wichert Akkerman <wakkerma@debian.org>:
Bug#103024; Package dpkg-dev. Full text and rfc822 format available.

Acknowledgement sent to Wichert Akkerman <wichert@wiggy.net>:
Extra info received and forwarded to list. Copy sent to Wichert Akkerman <wakkerma@debian.org>. Full text and rfc822 format available.

Message #10 received at 103024@bugs.debian.org (full text, mbox):

From: Wichert Akkerman <wichert@wiggy.net>
To: Robert Bihlmeyer <robbe@orcus.priv.at>, 103024@bugs.debian.org
Subject: Re: Bug#103024: dpkg-shlibdeps mostly useless on the Hurd
Date: Mon, 2 Jul 2001 00:07:42 +0200
Previously Robert Bihlmeyer wrote:
> (Though I consider that a symptom of a deeper issue -- dpkg has no
> notion of "real" paths -- this needs fixing sooner than any
> rearchitecting could provide it.)

What do you mean with that exactly?

Wichert.

-- 
  _________________________________________________________________
 /       Nothing is fool-proof to a sufficiently talented fool     \
| wichert@wiggy.net                   http://www.liacs.nl/~wichert/ |
| 1024D/2FA3BC2D 576E 100B 518D 2F16 36B0  2805 3CB8 9250 2FA3 BC2D |



Information forwarded to debian-bugs-dist@lists.debian.org, Wichert Akkerman <wakkerma@debian.org>:
Bug#103024; Package dpkg-dev. Full text and rfc822 format available.

Acknowledgement sent to Robert Bihlmeyer <robbe@orcus.priv.at>:
Extra info received and forwarded to list. Copy sent to Wichert Akkerman <wakkerma@debian.org>. Full text and rfc822 format available.

Message #15 received at 103024@bugs.debian.org (full text, mbox):

From: Robert Bihlmeyer <robbe@orcus.priv.at>
To: Wichert Akkerman <wichert@wiggy.net>
Cc: 103024@bugs.debian.org
Subject: Re: Bug#103024: dpkg-shlibdeps mostly useless on the Hurd
Date: 03 Jul 2001 19:40:18 +0200
Wichert Akkerman <wichert@wiggy.net> writes:

> Previously Robert Bihlmeyer wrote:
> > (Though I consider that a symptom of a deeper issue -- dpkg has no
> > notion of "real" paths -- this needs fixing sooner than any
> > rearchitecting could provide it.)
> 
> What do you mean with that exactly?

Well, if you do arbitrary modifications to your filesystem, dpkg will
stay blissfully ignorant of them. /usr -> / may be an esoteric thing,
but I think a /usr -> /mnt/somedisk/usr is not totally out of whack.

In these cases, dpkg will know only about the "official" paths of
files, but not arbitrary other names of it. I.e. "dpkg --search
/mnt/somedisk/usr/bin/dpkg" will not work. Which could be seen as a
fixable bug in dpkg. Or not, depending on your point of view.

In any case, removing this limitation would not only fix
dpkg-shlibdeps without special-casing, but also any problems
concerning overwriting, diversions, etc that could arise on the hurd
setup.

-- 
Robbe



Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Development <debian-dpkg@lists.debian.org>, dpkg@packages.qa.debian.org:
Bug#103024; Package dpkg-dev. Full text and rfc822 format available.

Acknowledgement sent to Michael Banck <mbanck@debian.org>:
Extra info received and forwarded to list. Copy sent to Dpkg Development <debian-dpkg@lists.debian.org>, dpkg@packages.qa.debian.org. Full text and rfc822 format available.

Message #20 received at 103024@bugs.debian.org (full text, mbox):

From: Michael Banck <mbanck@debian.org>
To: 103024@bugs.debian.org
Cc: 103024-submitter@bugs.debian.org
Subject: Re: dpkg-shlibdeps mostly useless on the Hurd
Date: Fri, 21 Mar 2003 02:24:45 +0100
This patch does not seem to work for /usr/X11R6/lib, only /usr/lib:

blackbird:/tmp/chemtool-1.5+1.6alpha27# dpkg-shlibdeps.pl \
	-Tdebian/chemtool.substvars debian/chemtool/usr/bin/chemtool \
	debian/chemtool/usr/bin/cht
dpkg-shlibdeps.pl: warning: could not find any packages for
	/usr/X11R6/lib/libXi.so.6 (libXi.so.6)
dpkg-shlibdeps.pl: warning: unable to find dependency information for
	shared library libXi (soname 6, path /usr/X11R6/lib/libXi.so.6,
	dependency field Depends)
dpkg-shlibdeps.pl: warning: could not find any packages for
	/usr/X11R6/lib/libXext.so.6 (libXext.so.6)
dpkg-shlibdeps.pl: warning: unable to find dependency information for
	shared library libXext (soname 6, path /usr/X11R6/lib/libXext.so.6,
	dependency field Depends)
dpkg-shlibdeps.pl: warning: could not find any packages for
	/usr/X11R6/lib/libX11.so.6 (libX11.so.6)
dpkg-shlibdeps.pl: warning: unable to find dependency information for
	shared library libX11 (soname 6, path /usr/X11R6/lib/libX11.so.6,
	dependency field Depends)
blackbird:/tmp/chemtool-1.5+1.6alpha27# cat debian/chemtool.substvars
shlibs:Depends=libc6 (>= 2.3.1-1), libglib1.2 (>= 1.2.0), libgtk1.2 (>=
        1.2.10-4)

This is what the current unmodified dpkg-shlibdeps on unstable do:
blackbird:/tmp/chemtool-1.5+1.6alpha27# dpkg-shlibdeps.pl.orig \
	-Tdebian/chemtool.substvars debian/chemtool/usr/bin/chemtool \
	debian/chemtool/usr/bin/cht
dpkg-shlibdeps.pl.orig: warning: could not find any packages for
	/lib/libgtk-1.2.so.0 (libgtk-1.2.so.0)
dpkg-shlibdeps.pl.orig: warning: unable to find dependency information
	for shared library libgtk-1.2 (soname 0, path /lib/libgtk-1.2.so.0,
	dependency field Depends)
dpkg-shlibdeps.pl.orig: warning: could not find any packages for
	/lib/libgdk-1.2.so.0 (libgdk-1.2.so.0)
dpkg-shlibdeps.pl.orig: warning: unable to find dependency information
	for shared library libgdk-1.2 (soname 0, path /lib/libgdk-1.2.so.0,
	dependency field Depends)
dpkg-shlibdeps.pl.orig: warning: could not find any packages for
	/lib/libgmodule-1.2.so.0 (libgmodule-1.2.so.0)
dpkg-shlibdeps.pl.orig: warning: unable to find dependency information
	for shared library libgmodule-1.2 (soname 0, path
	/lib/libgmodule-1.2.so.0, dependency field Depends)
dpkg-shlibdeps.pl.orig: warning: could not find any packages for
	/lib/libglib-1.2.so.0 (libglib-1.2.so.0)
dpkg-shlibdeps.pl.orig: warning: unable to find dependency information
	for shared library libglib-1.2 (soname 0, path /lib/libglib-1.2.so.0,
	dependency field Depends)
blackbird:/tmp/chemtool-1.5+1.6alpha27# cat debian/chemtool.substvars  
shlibs:Depends=libc6 (>= 2.3.1-1), xlibs (>> 4.1.0)

Here, the xlibs get considered correctly.

blackbird:/tmp/chemtool-1.5+1.6alpha27# dpkg-shlibdeps \
	-Tdebian/chemtool.substvars debian/chemtool/usr/bin/chemtool \
	debian/chemtool/usr/bin/cht
blackbird:/tmp/chemtool-1.5+1.6alpha27# cat  debian/chemtool.substvars 
shlibs:Depends=libglib1.2 (>= 1.2.0), libc6 (>= 2.3.1-1), xlibs (>>
	4.1.0), libgtk1.2 (>= 1.2.10-4)

This dpkg-shlibdeps invocation is from the python version in current
cvs, which seems to do fine without modifications. Any ETA for that?

Note that I tested this on linux in an unstable chroot, where I moved
all the stuff under /usr into / and made the symlink like on the Hurd.

The orginal substvars from the package look like:
shlibs:Depends=libc6 (>= 2.3.1-1), libglib1.2 (>= 1.2.0), libgtk1.2 (>=
	1.2.10-4), xlibs (>> 4.1.0)

regards,

Michael



Message sent on to Robert Bihlmeyer <robbe@orcus.priv.at>:
Bug#103024. Full text and rfc822 format available.

Severity set to `normal'. Request was from Scott James Remnant <scott@netsplit.com> to control@bugs.debian.org. Full text and rfc822 format available.

Tags removed: patch Request was from Scott James Remnant <scott@netsplit.com> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 103024 145714 164020. Request was from Scott James Remnant <scott@netsplit.com> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: pending Request was from Scott James Remnant <scott@netsplit.com> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: pending Request was from Scott James Remnant <scott@netsplit.com> to control@bugs.debian.org. Full text and rfc822 format available.

Tags removed: pending Request was from Scott James Remnant <scott@netsplit.com> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 103024 145714 164020 285857. Request was from Samuel Thibault <samuel.thibault@ens-lyon.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: pending Request was from Frank Lichtenheld <djpig@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: fixed-in-experimental Request was from Frank Lichtenheld <djpig@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: fixed-in-experimental Request was from Frank Lichtenheld <djpig@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: fixed-in-experimental Request was from Frank Lichtenheld <djpig@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: fixed-in-experimental Request was from Frank Lichtenheld <djpig@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Frank Lichtenheld <djpig@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Robert Bihlmeyer <robbe@orcus.priv.at>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #52 received at 103024-close@bugs.debian.org (full text, mbox):

From: Frank Lichtenheld <djpig@debian.org>
To: 103024-close@bugs.debian.org
Subject: Bug#103024: fixed in dpkg 1.13.13
Date: Sat, 28 Jan 2006 05:32:09 -0800
Source: dpkg
Source-Version: 1.13.13

We believe that the bug you reported is fixed in the latest version of
dpkg, which is due to be installed in the Debian FTP archive:

dpkg-dev_1.13.13_all.deb
  to pool/main/d/dpkg/dpkg-dev_1.13.13_all.deb
dpkg_1.13.13.dsc
  to pool/main/d/dpkg/dpkg_1.13.13.dsc
dpkg_1.13.13.tar.gz
  to pool/main/d/dpkg/dpkg_1.13.13.tar.gz
dpkg_1.13.13_powerpc.deb
  to pool/main/d/dpkg/dpkg_1.13.13_powerpc.deb
dselect_1.13.13_powerpc.deb
  to pool/main/d/dpkg/dselect_1.13.13_powerpc.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 103024@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Frank Lichtenheld <djpig@debian.org> (supplier of updated dpkg package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 28 Jan 2006 13:04:16 +0100
Source: dpkg
Binary: dpkg dselect dpkg-dev
Architecture: source powerpc all
Version: 1.13.13
Distribution: unstable
Urgency: low
Maintainer: Dpkg Developers <team@dpkg.org>
Changed-By: Frank Lichtenheld <djpig@debian.org>
Description: 
 dpkg       - package maintenance system for Debian
 dpkg-dev   - package building tools for Debian
 dselect    - user tool to manage Debian packages
Closes: 6820 7014 48711 96920 103024 144571 145714 164020 174976 228125 238460 254449 285857 291939 306125 310358 313300 314237 315253 315461 315548 315987 315990 316123 316367 317082 323642 323662 323674 323775 323779 323821 323908 323938 323964 324114 324456 325224 325687 325804 325990 329908 330021 331232 332698 332826 332872 332872 333673 334063 334330 335056 335170 335170 337164 337307 337942 337948 338268 338725 338904 340674 342089 344058 344513 344646 344671 345347 345347 345475 347225 347744 348113 348575 348659 349151 349299 349808
Changes: 
 dpkg (1.13.13) unstable; urgency=low
 .
   [Frank Lichtenheld]
   * dpkg and dselect are now in section admin, not section base.
     Correct info in the control file.
   * Bump Standards-Version to 3.6.2 (no changes).
   * Fix typo in dpkg-architecture man page. Closes: #334330
   * Honor LD_LIBRARY_PATH in dpkg-shlibdeps. Fixes a regression
     from 1.13.11 to .12.
   * Don't recurse into package directories to search for local
     shlibs files since it is obviously a waste of time. Based
     on a suggestion by Steve Langasek. Closes: #338725
 .
   [ Christian Perrier ]
   * Updated Translations:
     - Dutch (Bart Cornelis). Fix error mentioned in #323908 by Stephan
       Kramer
     - Japanese (Kenshi Muto). Closes: #349808
 .
   [ Guillem Jover ]
   * Fix typo in dpkg-statoverride manpage. Closes: #348113
     Thanks to Marc Haber <mh+debian-packages@zugschlus.de>.
   * Document the --no-debsig option in dpkg manpage. Closes: #316367
     Thanks to Bastian Kleineidam <calvin@debian.org>.
   * Fix typos in dselect manpage. Closes: #310358
     Thanks to A Costa <agcosta@gis.net>.
   * Fix typo in start-stop-daemon's help output. Closes: #333673
     Thanks to Christoph Maser <cm@financial.com>.
   * Document the correct format string for dpkg-query --showformat option.
     Update -l example and lower case the program name in the title header.
     Thanks to Zefram <zefram@fysh.org>. Closes: #174976
   * Make dpkg-architecture not print the warning about a missmatch between
     gcc target machine type and GNU target system type if the actions are
     '-e' or '-i'.
 .
 dpkg (1.13.12) experimental; urgency=low
 .
   * Due to the changes in dpkg-shlibdeps it is not recommended
     to use this version for building packages intended to be
     uploaded into an official archive, yet.
 .
   [ Frank Lichtenheld ]
   * Update AUTHORS and debian/copyright for new maintainer team.
 .
   * Don't use the ldd output in dpkg-shlibdeps. Search for the
     matching libraries ourself. This fixes problems with both
     symlinked directories, Closes: #103024, #145714, #164020, #285857
     and biarch builds. Closes: #317082
   * Let dpkg-gencontrol bail out with an error if parsedep
     found an error while parsing a dependency field. Closes: #228125
   * dpkg-source -x now tries to chown all files extracted from
     tar files. The temporary directory is now created with mode
     0700, too. Together this should make it safer to run
     dpkg-source -x as root. Based on suggestions by Marcus
     Brinkmann and Colin Watson. Closes: #144571, #238460
   * Let dpkg-source -b check the build relation fields before
     putting them into the .dsc. As a side effect they also
     get normalized. Closes: #254449
   * Check the gpg signatures of .dsc files before unpacking. See
     the upstream changelog for a full description of the semantics.
     Based on a patch by Matt Zimmerman. Closes: #48711
   * Let dpkg-source ensure (as good as possible) that all
     build source packages can also be unpacked.
     Closes: #6820, #7014
     Also fixed handling of md5sum -b output in dpkg-source on
     the way. Based on a patch by Ingo Saitz. Closes: #316123
   * Check for illegal architecture strings in dpkg-gencontrol and
     dpkg-source. dpkg-gencontrol will only issue a warning while
     dpkg-source will error out. Closes: #96920
   * Add support "package types" to dpkg-shlibdeps. Patch by Joey Hess.
     Closes: #335056, #345475
   * Fix man page references to dpkg and dselect man pages. Many
     of them still had a wrong section.
     Closes: #332826
   * Let dpkg-source -b warn about special permissions of files added
     in the diff since these will get lost. Closes: #306125
   * dpkg-source -x didn't work in case the upstream version or
     the Debian version ended with ~. Fixed.
 .
   [ Christian Perrier ]
   * Updated Translations:
     - French (Christian Perrier).
     - Polish (Bartosz Fenski). Closes: #314237
     - Norwegian Bokmal (Hans F. Nordhaug). Closes: #315548, #315990
     - Czech (Miroslav Kure). Closes: #323775, #345347
     - Russian (Yuri Kozlov). Closes: #323821, #335170
     - Japanese (Kenshi Muto). Closes: #323938
     - Brazilian Portuguese (Andre Luis Lopes). Closes: #325224, #332872
     - Russian (Yuri Kozlov). Closes: #335170, #349151
     - Swedish (Peter karlsson). Closes: #325990, #344058, #337164, #334063
     - Norwegian Nynorsk (Håvard Korsvoll). Closes: #315987
     - Portuguese (Miguel Figueiredo).
       Closes: #315461, #323674, #323642, #330021
     - Spanish (Javier Fernández-Sanguino Peña). Closes: #323662, #315253
     - Danish (Claus Hindsgaul). Closes: #348575, #323779, #337948, #325687
     - Dutch (Bart Cornelis). Closes: #323908
     - German (Michael Piefel). Closes: #323964
     - Italian (Stefano Canepa). Closes: #324114, #344671, #347225
     - Catalan (Jordi Mallach). Closes: #324456
     - Basque (Piarres Beobide). Closes: #342089, #332698
     - Tagalog (Eric Pareja). Closes: #337307
     - Simplified Chinese (Tchaikov). Closes: #338268
     - Galician (Jacobo Tarrío). Closes: #338904
     - Romanian (Eddy Petrişor). Closes: #340674
     - Vietnamese (Phan Vinh Thinh, Clytie Siddall).
     - Indonesian (Parlin Imanuel). Closes: #344513
     - Greek (Galaxico). Closes: #344646
     - Czech (Miroslav Kure). Closes: #345347
   * Fixed broken translation:
     - Brazilian Portuguese (James Troup). Closes: #332872
   * Fix Russian man page for start-stop-deamon(8)
     Closes: #325804
   * Fix German man page for update-alternatives(8)
     Closes: #329908
   * Fix typo in dpkg online help message. Unfuzzy translations
     Closes: #349299
 .
   [ Guillem Jover ]
   * Add armeb to cputable. Closes: #331232
     Thanks to Lennert Buytenhek <buytenh+debian@wantstofly.org>.
   * Don't try to compile in SELinux support on GNU/kFreeBSD.  Closes: #313300
     Thanks to Aurelien Jarno <aurel32@debian.org>.
   * When linking statically, explicitly add libsepol, even if its only a
     transitive library. The proper fix should come with a pkg-config file.
     Based on a patch by Bart Martens <bart.martens@advalvas.be>.
     Closes: #347744, #348659
   * Add support for architecture wildcards, but for now they will only be
     exposed in debian/control files, not in binary nor source packages.
     Closes: #291939
   * Change start-stop-daemon's --exec option behaviour on GNU/Linux to
     compare the filename pointed by '/proc/<pid>/exe' instead of the inode
     and device numbers. Thanks to Vasilis Vasaitis <v.vasaitis@sms.ed.ac.uk>.
     Closes: #337942
Files: 
 86e5780dd0c441220f7c330d8215e98d 840 admin required dpkg_1.13.13.dsc
 ef838af95190390ab3ec3d832eb6b062 3727804 admin required dpkg_1.13.13.tar.gz
 b9b3d503c43a734c8c4529af360a52d8 1953930 admin required dpkg_1.13.13_powerpc.deb
 d629834e10e9ff34a7232e897c53acb9 127076 admin required dselect_1.13.13_powerpc.deb
 ac4afd4459b0a4c5bb6572d023a20cb8 165322 utils standard dpkg-dev_1.13.13_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2 (GNU/Linux)

iD8DBQFD22r7Qbn06FtxPfARAkaLAKDt4F5BiQxMG/z5mDTcY4cddcmMzwCeLxOW
2i2ixMfAE3O0TT7F3uJFPSM=
=+Upj
-----END PGP SIGNATURE-----




Reply sent to Frank Lichtenheld <djpig@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Robert Bihlmeyer <robbe@orcus.priv.at>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #57 received at 145714-close@bugs.debian.org (full text, mbox):

From: Frank Lichtenheld <djpig@debian.org>
To: 145714-close@bugs.debian.org
Subject: Bug#145714: fixed in dpkg 1.13.13
Date: Sat, 28 Jan 2006 05:32:09 -0800
Source: dpkg
Source-Version: 1.13.13

We believe that the bug you reported is fixed in the latest version of
dpkg, which is due to be installed in the Debian FTP archive:

dpkg-dev_1.13.13_all.deb
  to pool/main/d/dpkg/dpkg-dev_1.13.13_all.deb
dpkg_1.13.13.dsc
  to pool/main/d/dpkg/dpkg_1.13.13.dsc
dpkg_1.13.13.tar.gz
  to pool/main/d/dpkg/dpkg_1.13.13.tar.gz
dpkg_1.13.13_powerpc.deb
  to pool/main/d/dpkg/dpkg_1.13.13_powerpc.deb
dselect_1.13.13_powerpc.deb
  to pool/main/d/dpkg/dselect_1.13.13_powerpc.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 145714@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Frank Lichtenheld <djpig@debian.org> (supplier of updated dpkg package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 28 Jan 2006 13:04:16 +0100
Source: dpkg
Binary: dpkg dselect dpkg-dev
Architecture: source powerpc all
Version: 1.13.13
Distribution: unstable
Urgency: low
Maintainer: Dpkg Developers <team@dpkg.org>
Changed-By: Frank Lichtenheld <djpig@debian.org>
Description: 
 dpkg       - package maintenance system for Debian
 dpkg-dev   - package building tools for Debian
 dselect    - user tool to manage Debian packages
Closes: 6820 7014 48711 96920 103024 144571 145714 164020 174976 228125 238460 254449 285857 291939 306125 310358 313300 314237 315253 315461 315548 315987 315990 316123 316367 317082 323642 323662 323674 323775 323779 323821 323908 323938 323964 324114 324456 325224 325687 325804 325990 329908 330021 331232 332698 332826 332872 332872 333673 334063 334330 335056 335170 335170 337164 337307 337942 337948 338268 338725 338904 340674 342089 344058 344513 344646 344671 345347 345347 345475 347225 347744 348113 348575 348659 349151 349299 349808
Changes: 
 dpkg (1.13.13) unstable; urgency=low
 .
   [Frank Lichtenheld]
   * dpkg and dselect are now in section admin, not section base.
     Correct info in the control file.
   * Bump Standards-Version to 3.6.2 (no changes).
   * Fix typo in dpkg-architecture man page. Closes: #334330
   * Honor LD_LIBRARY_PATH in dpkg-shlibdeps. Fixes a regression
     from 1.13.11 to .12.
   * Don't recurse into package directories to search for local
     shlibs files since it is obviously a waste of time. Based
     on a suggestion by Steve Langasek. Closes: #338725
 .
   [ Christian Perrier ]
   * Updated Translations:
     - Dutch (Bart Cornelis). Fix error mentioned in #323908 by Stephan
       Kramer
     - Japanese (Kenshi Muto). Closes: #349808
 .
   [ Guillem Jover ]
   * Fix typo in dpkg-statoverride manpage. Closes: #348113
     Thanks to Marc Haber <mh+debian-packages@zugschlus.de>.
   * Document the --no-debsig option in dpkg manpage. Closes: #316367
     Thanks to Bastian Kleineidam <calvin@debian.org>.
   * Fix typos in dselect manpage. Closes: #310358
     Thanks to A Costa <agcosta@gis.net>.
   * Fix typo in start-stop-daemon's help output. Closes: #333673
     Thanks to Christoph Maser <cm@financial.com>.
   * Document the correct format string for dpkg-query --showformat option.
     Update -l example and lower case the program name in the title header.
     Thanks to Zefram <zefram@fysh.org>. Closes: #174976
   * Make dpkg-architecture not print the warning about a missmatch between
     gcc target machine type and GNU target system type if the actions are
     '-e' or '-i'.
 .
 dpkg (1.13.12) experimental; urgency=low
 .
   * Due to the changes in dpkg-shlibdeps it is not recommended
     to use this version for building packages intended to be
     uploaded into an official archive, yet.
 .
   [ Frank Lichtenheld ]
   * Update AUTHORS and debian/copyright for new maintainer team.
 .
   * Don't use the ldd output in dpkg-shlibdeps. Search for the
     matching libraries ourself. This fixes problems with both
     symlinked directories, Closes: #103024, #145714, #164020, #285857
     and biarch builds. Closes: #317082
   * Let dpkg-gencontrol bail out with an error if parsedep
     found an error while parsing a dependency field. Closes: #228125
   * dpkg-source -x now tries to chown all files extracted from
     tar files. The temporary directory is now created with mode
     0700, too. Together this should make it safer to run
     dpkg-source -x as root. Based on suggestions by Marcus
     Brinkmann and Colin Watson. Closes: #144571, #238460
   * Let dpkg-source -b check the build relation fields before
     putting them into the .dsc. As a side effect they also
     get normalized. Closes: #254449
   * Check the gpg signatures of .dsc files before unpacking. See
     the upstream changelog for a full description of the semantics.
     Based on a patch by Matt Zimmerman. Closes: #48711
   * Let dpkg-source ensure (as good as possible) that all
     build source packages can also be unpacked.
     Closes: #6820, #7014
     Also fixed handling of md5sum -b output in dpkg-source on
     the way. Based on a patch by Ingo Saitz. Closes: #316123
   * Check for illegal architecture strings in dpkg-gencontrol and
     dpkg-source. dpkg-gencontrol will only issue a warning while
     dpkg-source will error out. Closes: #96920
   * Add support "package types" to dpkg-shlibdeps. Patch by Joey Hess.
     Closes: #335056, #345475
   * Fix man page references to dpkg and dselect man pages. Many
     of them still had a wrong section.
     Closes: #332826
   * Let dpkg-source -b warn about special permissions of files added
     in the diff since these will get lost. Closes: #306125
   * dpkg-source -x didn't work in case the upstream version or
     the Debian version ended with ~. Fixed.
 .
   [ Christian Perrier ]
   * Updated Translations:
     - French (Christian Perrier).
     - Polish (Bartosz Fenski). Closes: #314237
     - Norwegian Bokmal (Hans F. Nordhaug). Closes: #315548, #315990
     - Czech (Miroslav Kure). Closes: #323775, #345347
     - Russian (Yuri Kozlov). Closes: #323821, #335170
     - Japanese (Kenshi Muto). Closes: #323938
     - Brazilian Portuguese (Andre Luis Lopes). Closes: #325224, #332872
     - Russian (Yuri Kozlov). Closes: #335170, #349151
     - Swedish (Peter karlsson). Closes: #325990, #344058, #337164, #334063
     - Norwegian Nynorsk (Håvard Korsvoll). Closes: #315987
     - Portuguese (Miguel Figueiredo).
       Closes: #315461, #323674, #323642, #330021
     - Spanish (Javier Fernández-Sanguino Peña). Closes: #323662, #315253
     - Danish (Claus Hindsgaul). Closes: #348575, #323779, #337948, #325687
     - Dutch (Bart Cornelis). Closes: #323908
     - German (Michael Piefel). Closes: #323964
     - Italian (Stefano Canepa). Closes: #324114, #344671, #347225
     - Catalan (Jordi Mallach). Closes: #324456
     - Basque (Piarres Beobide). Closes: #342089, #332698
     - Tagalog (Eric Pareja). Closes: #337307
     - Simplified Chinese (Tchaikov). Closes: #338268
     - Galician (Jacobo Tarrío). Closes: #338904
     - Romanian (Eddy Petrişor). Closes: #340674
     - Vietnamese (Phan Vinh Thinh, Clytie Siddall).
     - Indonesian (Parlin Imanuel). Closes: #344513
     - Greek (Galaxico). Closes: #344646
     - Czech (Miroslav Kure). Closes: #345347
   * Fixed broken translation:
     - Brazilian Portuguese (James Troup). Closes: #332872
   * Fix Russian man page for start-stop-deamon(8)
     Closes: #325804
   * Fix German man page for update-alternatives(8)
     Closes: #329908
   * Fix typo in dpkg online help message. Unfuzzy translations
     Closes: #349299
 .
   [ Guillem Jover ]
   * Add armeb to cputable. Closes: #331232
     Thanks to Lennert Buytenhek <buytenh+debian@wantstofly.org>.
   * Don't try to compile in SELinux support on GNU/kFreeBSD.  Closes: #313300
     Thanks to Aurelien Jarno <aurel32@debian.org>.
   * When linking statically, explicitly add libsepol, even if its only a
     transitive library. The proper fix should come with a pkg-config file.
     Based on a patch by Bart Martens <bart.martens@advalvas.be>.
     Closes: #347744, #348659
   * Add support for architecture wildcards, but for now they will only be
     exposed in debian/control files, not in binary nor source packages.
     Closes: #291939
   * Change start-stop-daemon's --exec option behaviour on GNU/Linux to
     compare the filename pointed by '/proc/<pid>/exe' instead of the inode
     and device numbers. Thanks to Vasilis Vasaitis <v.vasaitis@sms.ed.ac.uk>.
     Closes: #337942
Files: 
 86e5780dd0c441220f7c330d8215e98d 840 admin required dpkg_1.13.13.dsc
 ef838af95190390ab3ec3d832eb6b062 3727804 admin required dpkg_1.13.13.tar.gz
 b9b3d503c43a734c8c4529af360a52d8 1953930 admin required dpkg_1.13.13_powerpc.deb
 d629834e10e9ff34a7232e897c53acb9 127076 admin required dselect_1.13.13_powerpc.deb
 ac4afd4459b0a4c5bb6572d023a20cb8 165322 utils standard dpkg-dev_1.13.13_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2 (GNU/Linux)

iD8DBQFD22r7Qbn06FtxPfARAkaLAKDt4F5BiQxMG/z5mDTcY4cddcmMzwCeLxOW
2i2ixMfAE3O0TT7F3uJFPSM=
=+Upj
-----END PGP SIGNATURE-----




Reply sent to Frank Lichtenheld <djpig@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Robert Bihlmeyer <robbe@orcus.priv.at>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #62 received at 164020-close@bugs.debian.org (full text, mbox):

From: Frank Lichtenheld <djpig@debian.org>
To: 164020-close@bugs.debian.org
Subject: Bug#164020: fixed in dpkg 1.13.13
Date: Sat, 28 Jan 2006 05:32:09 -0800
Source: dpkg
Source-Version: 1.13.13

We believe that the bug you reported is fixed in the latest version of
dpkg, which is due to be installed in the Debian FTP archive:

dpkg-dev_1.13.13_all.deb
  to pool/main/d/dpkg/dpkg-dev_1.13.13_all.deb
dpkg_1.13.13.dsc
  to pool/main/d/dpkg/dpkg_1.13.13.dsc
dpkg_1.13.13.tar.gz
  to pool/main/d/dpkg/dpkg_1.13.13.tar.gz
dpkg_1.13.13_powerpc.deb
  to pool/main/d/dpkg/dpkg_1.13.13_powerpc.deb
dselect_1.13.13_powerpc.deb
  to pool/main/d/dpkg/dselect_1.13.13_powerpc.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 164020@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Frank Lichtenheld <djpig@debian.org> (supplier of updated dpkg package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 28 Jan 2006 13:04:16 +0100
Source: dpkg
Binary: dpkg dselect dpkg-dev
Architecture: source powerpc all
Version: 1.13.13
Distribution: unstable
Urgency: low
Maintainer: Dpkg Developers <team@dpkg.org>
Changed-By: Frank Lichtenheld <djpig@debian.org>
Description: 
 dpkg       - package maintenance system for Debian
 dpkg-dev   - package building tools for Debian
 dselect    - user tool to manage Debian packages
Closes: 6820 7014 48711 96920 103024 144571 145714 164020 174976 228125 238460 254449 285857 291939 306125 310358 313300 314237 315253 315461 315548 315987 315990 316123 316367 317082 323642 323662 323674 323775 323779 323821 323908 323938 323964 324114 324456 325224 325687 325804 325990 329908 330021 331232 332698 332826 332872 332872 333673 334063 334330 335056 335170 335170 337164 337307 337942 337948 338268 338725 338904 340674 342089 344058 344513 344646 344671 345347 345347 345475 347225 347744 348113 348575 348659 349151 349299 349808
Changes: 
 dpkg (1.13.13) unstable; urgency=low
 .
   [Frank Lichtenheld]
   * dpkg and dselect are now in section admin, not section base.
     Correct info in the control file.
   * Bump Standards-Version to 3.6.2 (no changes).
   * Fix typo in dpkg-architecture man page. Closes: #334330
   * Honor LD_LIBRARY_PATH in dpkg-shlibdeps. Fixes a regression
     from 1.13.11 to .12.
   * Don't recurse into package directories to search for local
     shlibs files since it is obviously a waste of time. Based
     on a suggestion by Steve Langasek. Closes: #338725
 .
   [ Christian Perrier ]
   * Updated Translations:
     - Dutch (Bart Cornelis). Fix error mentioned in #323908 by Stephan
       Kramer
     - Japanese (Kenshi Muto). Closes: #349808
 .
   [ Guillem Jover ]
   * Fix typo in dpkg-statoverride manpage. Closes: #348113
     Thanks to Marc Haber <mh+debian-packages@zugschlus.de>.
   * Document the --no-debsig option in dpkg manpage. Closes: #316367
     Thanks to Bastian Kleineidam <calvin@debian.org>.
   * Fix typos in dselect manpage. Closes: #310358
     Thanks to A Costa <agcosta@gis.net>.
   * Fix typo in start-stop-daemon's help output. Closes: #333673
     Thanks to Christoph Maser <cm@financial.com>.
   * Document the correct format string for dpkg-query --showformat option.
     Update -l example and lower case the program name in the title header.
     Thanks to Zefram <zefram@fysh.org>. Closes: #174976
   * Make dpkg-architecture not print the warning about a missmatch between
     gcc target machine type and GNU target system type if the actions are
     '-e' or '-i'.
 .
 dpkg (1.13.12) experimental; urgency=low
 .
   * Due to the changes in dpkg-shlibdeps it is not recommended
     to use this version for building packages intended to be
     uploaded into an official archive, yet.
 .
   [ Frank Lichtenheld ]
   * Update AUTHORS and debian/copyright for new maintainer team.
 .
   * Don't use the ldd output in dpkg-shlibdeps. Search for the
     matching libraries ourself. This fixes problems with both
     symlinked directories, Closes: #103024, #145714, #164020, #285857
     and biarch builds. Closes: #317082
   * Let dpkg-gencontrol bail out with an error if parsedep
     found an error while parsing a dependency field. Closes: #228125
   * dpkg-source -x now tries to chown all files extracted from
     tar files. The temporary directory is now created with mode
     0700, too. Together this should make it safer to run
     dpkg-source -x as root. Based on suggestions by Marcus
     Brinkmann and Colin Watson. Closes: #144571, #238460
   * Let dpkg-source -b check the build relation fields before
     putting them into the .dsc. As a side effect they also
     get normalized. Closes: #254449
   * Check the gpg signatures of .dsc files before unpacking. See
     the upstream changelog for a full description of the semantics.
     Based on a patch by Matt Zimmerman. Closes: #48711
   * Let dpkg-source ensure (as good as possible) that all
     build source packages can also be unpacked.
     Closes: #6820, #7014
     Also fixed handling of md5sum -b output in dpkg-source on
     the way. Based on a patch by Ingo Saitz. Closes: #316123
   * Check for illegal architecture strings in dpkg-gencontrol and
     dpkg-source. dpkg-gencontrol will only issue a warning while
     dpkg-source will error out. Closes: #96920
   * Add support "package types" to dpkg-shlibdeps. Patch by Joey Hess.
     Closes: #335056, #345475
   * Fix man page references to dpkg and dselect man pages. Many
     of them still had a wrong section.
     Closes: #332826
   * Let dpkg-source -b warn about special permissions of files added
     in the diff since these will get lost. Closes: #306125
   * dpkg-source -x didn't work in case the upstream version or
     the Debian version ended with ~. Fixed.
 .
   [ Christian Perrier ]
   * Updated Translations:
     - French (Christian Perrier).
     - Polish (Bartosz Fenski). Closes: #314237
     - Norwegian Bokmal (Hans F. Nordhaug). Closes: #315548, #315990
     - Czech (Miroslav Kure). Closes: #323775, #345347
     - Russian (Yuri Kozlov). Closes: #323821, #335170
     - Japanese (Kenshi Muto). Closes: #323938
     - Brazilian Portuguese (Andre Luis Lopes). Closes: #325224, #332872
     - Russian (Yuri Kozlov). Closes: #335170, #349151
     - Swedish (Peter karlsson). Closes: #325990, #344058, #337164, #334063
     - Norwegian Nynorsk (Håvard Korsvoll). Closes: #315987
     - Portuguese (Miguel Figueiredo).
       Closes: #315461, #323674, #323642, #330021
     - Spanish (Javier Fernández-Sanguino Peña). Closes: #323662, #315253
     - Danish (Claus Hindsgaul). Closes: #348575, #323779, #337948, #325687
     - Dutch (Bart Cornelis). Closes: #323908
     - German (Michael Piefel). Closes: #323964
     - Italian (Stefano Canepa). Closes: #324114, #344671, #347225
     - Catalan (Jordi Mallach). Closes: #324456
     - Basque (Piarres Beobide). Closes: #342089, #332698
     - Tagalog (Eric Pareja). Closes: #337307
     - Simplified Chinese (Tchaikov). Closes: #338268
     - Galician (Jacobo Tarrío). Closes: #338904
     - Romanian (Eddy Petrişor). Closes: #340674
     - Vietnamese (Phan Vinh Thinh, Clytie Siddall).
     - Indonesian (Parlin Imanuel). Closes: #344513
     - Greek (Galaxico). Closes: #344646
     - Czech (Miroslav Kure). Closes: #345347
   * Fixed broken translation:
     - Brazilian Portuguese (James Troup). Closes: #332872
   * Fix Russian man page for start-stop-deamon(8)
     Closes: #325804
   * Fix German man page for update-alternatives(8)
     Closes: #329908
   * Fix typo in dpkg online help message. Unfuzzy translations
     Closes: #349299
 .
   [ Guillem Jover ]
   * Add armeb to cputable. Closes: #331232
     Thanks to Lennert Buytenhek <buytenh+debian@wantstofly.org>.
   * Don't try to compile in SELinux support on GNU/kFreeBSD.  Closes: #313300
     Thanks to Aurelien Jarno <aurel32@debian.org>.
   * When linking statically, explicitly add libsepol, even if its only a
     transitive library. The proper fix should come with a pkg-config file.
     Based on a patch by Bart Martens <bart.martens@advalvas.be>.
     Closes: #347744, #348659
   * Add support for architecture wildcards, but for now they will only be
     exposed in debian/control files, not in binary nor source packages.
     Closes: #291939
   * Change start-stop-daemon's --exec option behaviour on GNU/Linux to
     compare the filename pointed by '/proc/<pid>/exe' instead of the inode
     and device numbers. Thanks to Vasilis Vasaitis <v.vasaitis@sms.ed.ac.uk>.
     Closes: #337942
Files: 
 86e5780dd0c441220f7c330d8215e98d 840 admin required dpkg_1.13.13.dsc
 ef838af95190390ab3ec3d832eb6b062 3727804 admin required dpkg_1.13.13.tar.gz
 b9b3d503c43a734c8c4529af360a52d8 1953930 admin required dpkg_1.13.13_powerpc.deb
 d629834e10e9ff34a7232e897c53acb9 127076 admin required dselect_1.13.13_powerpc.deb
 ac4afd4459b0a4c5bb6572d023a20cb8 165322 utils standard dpkg-dev_1.13.13_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2 (GNU/Linux)

iD8DBQFD22r7Qbn06FtxPfARAkaLAKDt4F5BiQxMG/z5mDTcY4cddcmMzwCeLxOW
2i2ixMfAE3O0TT7F3uJFPSM=
=+Upj
-----END PGP SIGNATURE-----




Reply sent to Frank Lichtenheld <djpig@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Robert Bihlmeyer <robbe@orcus.priv.at>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #67 received at 285857-close@bugs.debian.org (full text, mbox):

From: Frank Lichtenheld <djpig@debian.org>
To: 285857-close@bugs.debian.org
Subject: Bug#285857: fixed in dpkg 1.13.13
Date: Sat, 28 Jan 2006 05:32:09 -0800
Source: dpkg
Source-Version: 1.13.13

We believe that the bug you reported is fixed in the latest version of
dpkg, which is due to be installed in the Debian FTP archive:

dpkg-dev_1.13.13_all.deb
  to pool/main/d/dpkg/dpkg-dev_1.13.13_all.deb
dpkg_1.13.13.dsc
  to pool/main/d/dpkg/dpkg_1.13.13.dsc
dpkg_1.13.13.tar.gz
  to pool/main/d/dpkg/dpkg_1.13.13.tar.gz
dpkg_1.13.13_powerpc.deb
  to pool/main/d/dpkg/dpkg_1.13.13_powerpc.deb
dselect_1.13.13_powerpc.deb
  to pool/main/d/dpkg/dselect_1.13.13_powerpc.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 285857@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Frank Lichtenheld <djpig@debian.org> (supplier of updated dpkg package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 28 Jan 2006 13:04:16 +0100
Source: dpkg
Binary: dpkg dselect dpkg-dev
Architecture: source powerpc all
Version: 1.13.13
Distribution: unstable
Urgency: low
Maintainer: Dpkg Developers <team@dpkg.org>
Changed-By: Frank Lichtenheld <djpig@debian.org>
Description: 
 dpkg       - package maintenance system for Debian
 dpkg-dev   - package building tools for Debian
 dselect    - user tool to manage Debian packages
Closes: 6820 7014 48711 96920 103024 144571 145714 164020 174976 228125 238460 254449 285857 291939 306125 310358 313300 314237 315253 315461 315548 315987 315990 316123 316367 317082 323642 323662 323674 323775 323779 323821 323908 323938 323964 324114 324456 325224 325687 325804 325990 329908 330021 331232 332698 332826 332872 332872 333673 334063 334330 335056 335170 335170 337164 337307 337942 337948 338268 338725 338904 340674 342089 344058 344513 344646 344671 345347 345347 345475 347225 347744 348113 348575 348659 349151 349299 349808
Changes: 
 dpkg (1.13.13) unstable; urgency=low
 .
   [Frank Lichtenheld]
   * dpkg and dselect are now in section admin, not section base.
     Correct info in the control file.
   * Bump Standards-Version to 3.6.2 (no changes).
   * Fix typo in dpkg-architecture man page. Closes: #334330
   * Honor LD_LIBRARY_PATH in dpkg-shlibdeps. Fixes a regression
     from 1.13.11 to .12.
   * Don't recurse into package directories to search for local
     shlibs files since it is obviously a waste of time. Based
     on a suggestion by Steve Langasek. Closes: #338725
 .
   [ Christian Perrier ]
   * Updated Translations:
     - Dutch (Bart Cornelis). Fix error mentioned in #323908 by Stephan
       Kramer
     - Japanese (Kenshi Muto). Closes: #349808
 .
   [ Guillem Jover ]
   * Fix typo in dpkg-statoverride manpage. Closes: #348113
     Thanks to Marc Haber <mh+debian-packages@zugschlus.de>.
   * Document the --no-debsig option in dpkg manpage. Closes: #316367
     Thanks to Bastian Kleineidam <calvin@debian.org>.
   * Fix typos in dselect manpage. Closes: #310358
     Thanks to A Costa <agcosta@gis.net>.
   * Fix typo in start-stop-daemon's help output. Closes: #333673
     Thanks to Christoph Maser <cm@financial.com>.
   * Document the correct format string for dpkg-query --showformat option.
     Update -l example and lower case the program name in the title header.
     Thanks to Zefram <zefram@fysh.org>. Closes: #174976
   * Make dpkg-architecture not print the warning about a missmatch between
     gcc target machine type and GNU target system type if the actions are
     '-e' or '-i'.
 .
 dpkg (1.13.12) experimental; urgency=low
 .
   * Due to the changes in dpkg-shlibdeps it is not recommended
     to use this version for building packages intended to be
     uploaded into an official archive, yet.
 .
   [ Frank Lichtenheld ]
   * Update AUTHORS and debian/copyright for new maintainer team.
 .
   * Don't use the ldd output in dpkg-shlibdeps. Search for the
     matching libraries ourself. This fixes problems with both
     symlinked directories, Closes: #103024, #145714, #164020, #285857
     and biarch builds. Closes: #317082
   * Let dpkg-gencontrol bail out with an error if parsedep
     found an error while parsing a dependency field. Closes: #228125
   * dpkg-source -x now tries to chown all files extracted from
     tar files. The temporary directory is now created with mode
     0700, too. Together this should make it safer to run
     dpkg-source -x as root. Based on suggestions by Marcus
     Brinkmann and Colin Watson. Closes: #144571, #238460
   * Let dpkg-source -b check the build relation fields before
     putting them into the .dsc. As a side effect they also
     get normalized. Closes: #254449
   * Check the gpg signatures of .dsc files before unpacking. See
     the upstream changelog for a full description of the semantics.
     Based on a patch by Matt Zimmerman. Closes: #48711
   * Let dpkg-source ensure (as good as possible) that all
     build source packages can also be unpacked.
     Closes: #6820, #7014
     Also fixed handling of md5sum -b output in dpkg-source on
     the way. Based on a patch by Ingo Saitz. Closes: #316123
   * Check for illegal architecture strings in dpkg-gencontrol and
     dpkg-source. dpkg-gencontrol will only issue a warning while
     dpkg-source will error out. Closes: #96920
   * Add support "package types" to dpkg-shlibdeps. Patch by Joey Hess.
     Closes: #335056, #345475
   * Fix man page references to dpkg and dselect man pages. Many
     of them still had a wrong section.
     Closes: #332826
   * Let dpkg-source -b warn about special permissions of files added
     in the diff since these will get lost. Closes: #306125
   * dpkg-source -x didn't work in case the upstream version or
     the Debian version ended with ~. Fixed.
 .
   [ Christian Perrier ]
   * Updated Translations:
     - French (Christian Perrier).
     - Polish (Bartosz Fenski). Closes: #314237
     - Norwegian Bokmal (Hans F. Nordhaug). Closes: #315548, #315990
     - Czech (Miroslav Kure). Closes: #323775, #345347
     - Russian (Yuri Kozlov). Closes: #323821, #335170
     - Japanese (Kenshi Muto). Closes: #323938
     - Brazilian Portuguese (Andre Luis Lopes). Closes: #325224, #332872
     - Russian (Yuri Kozlov). Closes: #335170, #349151
     - Swedish (Peter karlsson). Closes: #325990, #344058, #337164, #334063
     - Norwegian Nynorsk (Håvard Korsvoll). Closes: #315987
     - Portuguese (Miguel Figueiredo).
       Closes: #315461, #323674, #323642, #330021
     - Spanish (Javier Fernández-Sanguino Peña). Closes: #323662, #315253
     - Danish (Claus Hindsgaul). Closes: #348575, #323779, #337948, #325687
     - Dutch (Bart Cornelis). Closes: #323908
     - German (Michael Piefel). Closes: #323964
     - Italian (Stefano Canepa). Closes: #324114, #344671, #347225
     - Catalan (Jordi Mallach). Closes: #324456
     - Basque (Piarres Beobide). Closes: #342089, #332698
     - Tagalog (Eric Pareja). Closes: #337307
     - Simplified Chinese (Tchaikov). Closes: #338268
     - Galician (Jacobo Tarrío). Closes: #338904
     - Romanian (Eddy Petrişor). Closes: #340674
     - Vietnamese (Phan Vinh Thinh, Clytie Siddall).
     - Indonesian (Parlin Imanuel). Closes: #344513
     - Greek (Galaxico). Closes: #344646
     - Czech (Miroslav Kure). Closes: #345347
   * Fixed broken translation:
     - Brazilian Portuguese (James Troup). Closes: #332872
   * Fix Russian man page for start-stop-deamon(8)
     Closes: #325804
   * Fix German man page for update-alternatives(8)
     Closes: #329908
   * Fix typo in dpkg online help message. Unfuzzy translations
     Closes: #349299
 .
   [ Guillem Jover ]
   * Add armeb to cputable. Closes: #331232
     Thanks to Lennert Buytenhek <buytenh+debian@wantstofly.org>.
   * Don't try to compile in SELinux support on GNU/kFreeBSD.  Closes: #313300
     Thanks to Aurelien Jarno <aurel32@debian.org>.
   * When linking statically, explicitly add libsepol, even if its only a
     transitive library. The proper fix should come with a pkg-config file.
     Based on a patch by Bart Martens <bart.martens@advalvas.be>.
     Closes: #347744, #348659
   * Add support for architecture wildcards, but for now they will only be
     exposed in debian/control files, not in binary nor source packages.
     Closes: #291939
   * Change start-stop-daemon's --exec option behaviour on GNU/Linux to
     compare the filename pointed by '/proc/<pid>/exe' instead of the inode
     and device numbers. Thanks to Vasilis Vasaitis <v.vasaitis@sms.ed.ac.uk>.
     Closes: #337942
Files: 
 86e5780dd0c441220f7c330d8215e98d 840 admin required dpkg_1.13.13.dsc
 ef838af95190390ab3ec3d832eb6b062 3727804 admin required dpkg_1.13.13.tar.gz
 b9b3d503c43a734c8c4529af360a52d8 1953930 admin required dpkg_1.13.13_powerpc.deb
 d629834e10e9ff34a7232e897c53acb9 127076 admin required dselect_1.13.13_powerpc.deb
 ac4afd4459b0a4c5bb6572d023a20cb8 165322 utils standard dpkg-dev_1.13.13_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2 (GNU/Linux)

iD8DBQFD22r7Qbn06FtxPfARAkaLAKDt4F5BiQxMG/z5mDTcY4cddcmMzwCeLxOW
2i2ixMfAE3O0TT7F3uJFPSM=
=+Upj
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 24 Jun 2007 16:04:41 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 07:34:41 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.